### Method

# Secret Service prompt_at_dbus_path

#### Declaration [src]

    void
    secret_service_prompt_at_dbus_path (
      SecretService* self,
      const gchar* prompt_path,
      const GVariantType* return_type,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Perform prompting for a `SecretPrompt`.

This function is called by other parts of this library to handle prompts for the various actions that can require prompting.

Override the `SecretServiceClass` `Secret.ServiceClass.prompt_async` virtual method to change the behavior of the propmting. The default behavior is to simply run `secret_prompt_perform()` on the prompt.

Stability: | Unstable
This method is not directly available to language bindings.

#### Parameters

`prompt_path` | `const gchar*`
| The D-Bus object path of the prompt.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`return_type` | `GVariantType`
| The variant type of the prompt result.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation completes.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Data to be passed to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.